| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorContrastBrightnessManipulator Class Reference

Vertex manipulator which adjusts the contrast by the given factor and brightness by a signed amount. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorContrastBrightnessManipulator:

List of all members.

## Public Member Functions

- SVertexColorContrastBrightnessManipulator (f32 factor, s32 amount)
- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which adjusts the contrast by the given factor and brightness by a signed amount.

Factors over 1 increase contrast, below 1 reduce it. A positive amount increases brightness, a negative one darkens the colors.

Definition at line 110 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorContrastBrightnessManipulator::SVertexColorContrastBrightnessManipulator | ( | f32 | factor,
|  | s32 | amount
| ) |  | `[inline]`

Definition at line 113 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorContrastBrightnessManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 114 of file SVertexManipulator.h.

References irr::core::clamp(), irr::video::S3DVertex::Color, and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h